aboutsummaryrefslogtreecommitdiffstats
path: root/bin/xorg_lock
diff options
context:
space:
mode:
Diffstat (limited to 'bin/xorg_lock')
-rwxr-xr-xbin/xorg_lock16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/xorg_lock b/bin/xorg_lock
new file mode 100755
index 0000000..d7a5d52
--- /dev/null
+++ b/bin/xorg_lock
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+lock=${XDG_RUNTIME_DIR}/xorg_autolock.lock
+lockcmd="i3lock -n -e -c 000000 -f"
+
+if [ -x "/usr/bin/i3lock" ]; then
+ touch ${lock}
+ ${lockcmd}
+ rm ${lock}
+else
+ echo "i3lock is not installed!"
+ exit 1
+fi
+exit 0